Bug 1192063 - VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2021-0006
VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2021-0006
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/313622/
CVSSv3.1:SUSE:CVE-2021-30846:7.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-27 08:18 UTC by Carlos López
Modified: 2022-04-11 07:48 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2021-10-27 08:18:07 UTC
------------------------------------------------------------------------
WebKitGTK and WPE WebKit Security Advisory                 WSA-2021-0006
------------------------------------------------------------------------

Date reported           : October 26, 2021
Advisory ID             : WSA-2021-0006
WebKitGTK Advisory URL  : https://webkitgtk.org/security/WSA-2021-0006.html
WPE WebKit Advisory URL : https://wpewebkit.org/security/WSA-2021-0006.html
CVE identifiers         : CVE-2021-30846, CVE-2021-30848,
                          CVE-2021-30849, CVE-2021-30851.

Several vulnerabilities were discovered in WebKitGTK and WPE WebKit.

CVE-2021-30846
    Versions affected: WebKitGTK and WPE WebKit before 2.34.0.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A memory corruption issue was
    addressed with improved memory handling.

CVE-2021-30848
    Versions affected: WebKitGTK and WPE WebKit before 2.32.4.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to code
    execution. Description: A memory corruption issue was addressed with
    improved memory handling.

CVE-2021-30849
    Versions affected: WebKitGTK and WPE WebKit before 2.32.4.
    Credit to Sergei Glazunov of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: Multiple memory corruption
    issues were addressed with improved memory handling.

CVE-2021-30851
    Versions affected: WebKitGTK and WPE WebKit before 2.34.0.
    Credit to Samuel Groß of Google Project Zero.
    Impact: Processing maliciously crafted web content may lead to code
    execution. Description: A memory corruption vulnerability was
    addressed with improved locking.


We recommend updating to the latest stable versions of WebKitGTK and WPE
WebKit. It is the best way to ensure that you are running safe versions
of WebKit. Please check our websites for information about the latest
stable releases.

Further information about WebKitGTK and WPE WebKit security advisories
can be found at: https://webkitgtk.org/security.html or
https://wpewebkit.org/security/.

The WebKitGTK and WPE WebKit team,
October 26, 2021
Comment 1 Carlos López 2021-10-27 08:18:58 UTC
The advisory also lists CVE-2021-42762 (bnc#1191937) and CVE-2021-30858 (bnc#1190701), for which we already have opened bugs.
Comment 2 Carlos López 2021-10-27 08:20:59 UTC
CVE-2021-30851 seems to be rejected. It should not matter for the version bump, though.
Comment 3 Gianluca Gabrielli 2021-11-02 14:47:56 UTC
CVE-2021-30851 got re-populated [0] and now reads as "A memory corruption vulnerability was addressed with improved locking. This issue is fixed in Safari 15, tvOS 15, watchOS 8, iOS 15 and iPadOS 15. Processing maliciously crafted web content may lead to code execution."

[0] https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-30851
Comment 7 Swamp Workflow Management 2021-11-23 20:27:15 UTC
SUSE-SU-2021:3769-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1191937,1192063
CVE References: CVE-2021-30846,CVE-2021-30851,CVE-2021-42762
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise Server for SAP 15 (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise Server 15-LTSS (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    webkit2gtk3-2.34.1-3.87.1
SUSE Enterprise Storage 6 (src):    webkit2gtk3-2.34.1-3.87.1
SUSE CaaS Platform 4.0 (src):    webkit2gtk3-2.34.1-3.87.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-12-01 21:17:44 UTC
SUSE-SU-2021:3861-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1192063
CVE References: CVE-2021-30846,CVE-2021-30851
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE OpenStack Cloud Crowbar 8 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE OpenStack Cloud 9 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE OpenStack Cloud 8 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Server 12-SP5 (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    webkit2gtk3-2.34.1-2.77.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    webkit2gtk3-2.34.1-2.77.1
HPE Helion Openstack 8 (src):    webkit2gtk3-2.34.1-2.77.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-12-02 11:57:55 UTC
openSUSE-SU-2021:3874-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1192063
CVE References: CVE-2021-30846,CVE-2021-30851
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    webkit2gtk3-2.34.1-18.1
Comment 12 Swamp Workflow Management 2021-12-02 12:14:04 UTC
SUSE-SU-2021:3874-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1192063
CVE References: CVE-2021-30846,CVE-2021-30851
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    webkit2gtk3-2.34.1-18.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    webkit2gtk3-2.34.1-18.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    webkit2gtk3-2.34.1-18.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    webkit2gtk3-2.34.1-18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-12-10 14:19:23 UTC
openSUSE-SU-2021:1557-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1192063
CVE References: CVE-2021-30846,CVE-2021-30851
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    webkit2gtk3-2.34.1-lp152.2.25.3
Comment 17 Gabriele Sonnu 2022-04-11 07:48:57 UTC
Done.